# Structure of the Documentation


This documentation is divided into the following sections:
1. Getting Started
2. Models
3. API Reference
4. Tutorials
5. Guides
6. Research

## Getting Started

The Getting Started section contains all the necessary information regarding setting up and installing the package. It
also includes steps needed to train the models.

## Models

This page contains all the models implemented in the repository as well as their API. It is the developer's
responsibility to update this page when a new model is added to the repo.

## API Reference

This page lists all the modules, classes and functions available within the `anomalib` package. This page is update
automatically for the following modules:
- config
- core
- datasets
- hpo
- loggers
- utils

If a change is made to any of these modules, then the document will be automatically updated. However, if a new module
is introduced, then it must be added to `api_references.rst`.

## Tutorials

This contains specific examples of using a feature or a model in the library. These are written from the perspective of
beginners.

## Guides

This section contains all the guides written from the perspective of a new user or if someone is trying to get some
clarity on a topic.

## Research

Contains all the resources related to research such as benchmarks and papers. These are written from the perspective of
researchers.
